// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
const CHAIN_SHOP_INFO = "plugin.store-cashier.frontend.boss.center.index";
const CHAIN_SHOP_LIST = "plugin.store-cashier.frontend.boss.center.getChildStoreList";
Page({
  /**
   * 页面的初始数据
   */
  data: {
    language: "",
    shop_info: {},
    shop_amount: {},
    bossId: 0,
    shopListArr: [],
    loading: false,
    allLoaded: false,
    goload: true,
    isLoadMore: true,
    page: 1,
    total_page: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.checkrouter();
    this.getChainShopInfo();
  },
  checkrouter() {
    try {
      // 推广中心是否开启该功能，没开启跳转到指定路径
      let basic_info = wx.getStorageSync("yz_basic_info");
      let stop_info = basic_info.popularize_page.mini.vue_route;
      for (let i = 0; i < stop_info.length; i++) {
        if (stop_info[i] == "ChainShopIndex") {
          console.log(basic_info.popularize_page.mini.mini_url + "跳转的路径");
          wx.showToast({
            title: "未开启推广权限",
            duration: 1000,
            icon: "none",
            success: function () {
              setTimeout(() => {
                wx.redirectTo({
                  url: basic_info.popularize_page.mini.mini_url,
                });
              }, 1000);
            },
          });
          return;
        }
      }
    } catch (e) {
      console.log(e);
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync("langIndex");
    this.setData({ language: language.en });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    if (this.data.isLoadMore) {
      this.getMoreShopList();
    } else {
      wx.showToast({
        title: "没有更多数据",
        icon: "none",
      });
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},

  gotoIncome() {
    let urlStr = app.getNetAddresss("member.member.withdrawByMobile");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          if (resdata.data.is_bind_mobile == 1) {
            wx.navigateTo({
              url: "/packageA/member/withdrawEditmobile/withdrawEditmobile",
            });
          } else {
            wx.navigateTo({
              url: "/packageA/member/withdrawal/withdrawal",
            });
          }
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getChainShopInfo() {
    let urlStr = app.getNetAddresss(CHAIN_SHOP_INFO);
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            shop_info: resdata.data.store_boss.has_one_member,
            shop_amount: resdata.data.statistics,
            bossId: resdata.data.store_boss.id,
          });
          this.getShopList(this.data.bossId);
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
            duration: 1500,
            success: function () {
              setTimeout(function () {
                //要延时执行的代码
                wx.navigateBack({
                  delta: 1,
                });
              }, 1500); //延迟时间
            },
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },

  getShopList(value) {
    let urlStr = app.getNetAddresss(CHAIN_SHOP_LIST);
    urlStr += "&page=" + this.data.page + "&boss_id=" + value;
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            total_page: resdata.data.last_page,
            shopListArr: resdata.data.data,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getMoreShopList() {
    if (this.data.page == this.data.total_page) {
      return;
    }
    if (this.data.page >= this.data.total_page) {
      this.setData({
        loading: true,
        allLoaded: true,
      });
      return;
    } else {
      let page = this.data.page + 1;
      this.setData({
        page,
      });
      let urlStr = app.getNetAddresss(CHAIN_SHOP_LIST);
      urlStr += "&page=" + this.data.page + "&boss_id=" + this.data.bossId;
      app._getNetWork({
        url: urlStr,
        success: (res) => {
          let resdata = res.data;
          if (resdata.result === 1) {
            let myData = this.data.shopListArr.concat(resdata.data.data);
            this.setData({
              loading: false,
              allLoaded: false,
              shopListArr: myData,
            });
          } else {
            let pages = this.data.page - 1;
            this.setData({
              page: pages,
              loading: true,
              allLoaded: true,
              isLoadMore: false,
            });
            return;
          }
        },
        fail: function (res) {
          console.log(res);
        },
      });
    }
  },
  goToShop(value) {
    let id = value.currentTarget.dataset.id || value.target.dataset.id;
    wx.navigateTo({
      url: "/packageB/member/chain_shop/ChainShopInfo/ChainShopInfo" + "?id=" + id,
    });
  },
});
